Package com.verisign.epp.codec.nv

## Enum EPPRealNameVerification.ProofType

- java.lang.Object
- - java.lang.Enum<EPPRealNameVerification.ProofType>
  - - com.verisign.epp.codec.nv.EPPRealNameVerification.ProofType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRealNameVerification.ProofType>`
  Enclosing class:
    EPPRealNameVerification

      public static enum EPPRealNameVerification.ProofType
      extends java.lang.Enum<EPPRealNameVerification.ProofType>

  Real Name Verification (RNV) proof type include:
  - `POC` - Proof of Citizen, where the POC represents the citizen's identification card (ID) material.
  - `POE` - Proof of Enterprise, where the POE represents the Organization Code Certificate (OCC) or Business License (BL) material.
  - `POOT` - Proof of Other Types, in the POOT represents other certificate materials except the POC or POE.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `POC` |
    `POE` |
    `POOT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRealNameVerification.ProofType` | `getProofType​(java.lang.String aString)` | Get the proof type enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `ProofType` value to a `String`.
    `static EPPRealNameVerification.ProofType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRealNameVerification.ProofType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POC

          public static final EPPRealNameVerification.ProofType POC

    - #### POE

          public static final EPPRealNameVerification.ProofType POE

    - #### POOT

          public static final EPPRealNameVerification.ProofType POOT

  - ### Method Detail

    - #### values

          public static EPPRealNameVerification.ProofType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRealNameVerification.ProofType c : EPPRealNameVerification.ProofType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRealNameVerification.ProofType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getProofType

          public static EPPRealNameVerification.ProofType getProofType​(java.lang.String aString)

      Get the proof type enumerated value given the matching string.
      Parameters:
        `aString` - `ProofType` enumerated string to convert to an enumerated `ProofType` instance.
      Returns:
        Enumerated `ProofType` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `ProofType` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `ProofType` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPRealNameVerification.ProofType>`